%define section	non-free

%define maj 1
%define min 3
%define rel 2
%define rel_version %{maj}.%{min}.%{rel}
%define cvs_version %{maj}_%{min}_%{rel}
%define short_version %{maj}%{min}%{rel}
%define short_name j3d

%ifarch %ix86
%define target_cpu      i586
%define short_cpu       x86
%define aka_cpu         i386
%endif
%ifarch x86_64
%define target_cpu      amd64
%define short_cpu       amd64
%define aka_cpu         amd64
%endif

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

Summary:       	Java 3D API
URL:           	https://java3d.dev.java.net/
Name:           java3d
Version:        %{rel_version}
Release:        1jpp
Epoch:          0
Source0:        %{name}-%{cvs_version}-linux-%{target_cpu}.zip
NoSource:       0

%if %{with_javadoc}
Source1:       	%{name}-%{cvs_version}-doc.zip
NoSource:      	1
%endif

License:        Sun Binary Code License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildRequires:	jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java 3D API provides a set of object-oriented interfaces that support
a simple, high-level programming model you can use to build, render, and
control the behavior of 3D objects and visual environments. With the Java
3D API, you can incorporate high-quality, scalable, platform-independent
3D graphics into applications and applets based on Java technology.

%if %{with_javadoc}
%package javadoc
Summary:	Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}
%endif

%prep
%setup -n %{name}-%{cvs_version}-linux-%{target_cpu}

%if %{with_javadoc}
%setup -n %{name}-%{cvs_version}-linux-%{target_cpu} -q -D -T -a 1
%endif

%build
unzip %{short_name}-%{short_version}-linux-%{short_cpu}.zip

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755                   $RPM_BUILD_ROOT%{_javadir}/%{name}
install -p -m 0644 lib/ext/*.jar     $RPM_BUILD_ROOT%{_javadir}/%{name}

# libs
install -d -m 0755                      $RPM_BUILD_ROOT%{_libdir}
install -p -m 0755 lib/%{aka_cpu}/*.so  $RPM_BUILD_ROOT%{_libdir}

# javadoc
%if %{with_javadoc}
install -d -m 0755	           $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a %{name}-%{cvs_version}-doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version}           $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with_javadoc}
%post javadoc
rm -f                    %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}
%endif

%files
%defattr(-,root,root,-)
%doc BINARY-CODE-LICENSE.txt  README.txt
%{_javadir}/%{name}
%{_libdir}/*.so

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Thu May 19 2005 Rob Myers <rob.myers@gtri.gatech.edu> - 0:1.3.2-1jpp
- Upgrade to 1.3.2 from https://java3d.dev.java.net
- remove demo package

* Mon Jan 10 2005 Carwyn Edwards <carwyn@carwyn.com> - 0:1.3.1-0.cte.2
- Mark Source0 and NoSource too.

* Mon Mar 01 2004 Carwyn Edwards <carwyn@carwyn.com> - 0:1.3.1-0.cte.1
- Initial packaging.

